plugins {
    `maven-publish`
}

publishing {
    repositories {
        mavenLocal()

        if (project.hasProperty("maven")) {
            maven {
                url = uri(project.property("maven").toString())
                name = "dynamic"

                credentials(HttpHeaderCredentials::class) {
                    name = "Job-Token"
                    value = System.getenv()["CI_JOB_TOKEN"]
                }
                authentication {
                    create<HttpHeaderAuthentication>("header")
                }
            }
        }
    }
}